Page MenuHomePhabricator

Rename git repo to "SyntaxHighlight"
Open, Stalled, MediumPublic

Description

The SyntaxHighlight_GeSHi extension recently switched it's backing library from GeSHi to Pygments.
Hence the GeSHi in SyntaxHighlight_GeSHi became a misnomer.

Krinkle agreed that the extension should be renamed at some point. Just not right now.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I asked the same question at T85794#1390551.

If there's traction on this idea, an interested third-party could maintain a fork of the Geshi-based implementation in a different repository.

Err, only if "SyntaxHighlight_GeSHi" gets renamed. A scenario in which "SyntaxHighlight_GeSHi" uses Pygments and some other extension uses GeSHi sounds even worse than the current situation.

Well theres a gerrit repo at https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/SyntaxHighlight_Pygments but is currently confusing to have an extension with a different package to name for example Geshi on the end means that geshi package is installed with this extension.

Change 222984 had a related patch set uploaded (by Paladox):
Renamed Geshi to Pygments

https://gerrit.wikimedia.org/r/222984

I propose:

  • Delete the unused SyntaxHighlight_Pygments repo.
  • Rename SyntaxHighlight_GeSHi to SyntaxHighlight.

Well I think we should use SyntaxHighlight_Pygments as the new extension and SyntaxHighlight_GeSHi as the old one.

But SyntaxHighlight_Pygments that could be used as SyntaxHighlight

MaxSem removed a subscriber: MaxSem.Jul 5 2015, 10:33 PM

Change 222986 had a related patch set uploaded (by Paladox):
Re added GeSHi back

https://gerrit.wikimedia.org/r/222986

Well maybed we could use SyntaxHighlight for Pygments. And use SyntaxHighlight_GeSHi for users that just want a php based highlighter.

Well maybed we could use SyntaxHighlight for Pygments. And use SyntaxHighlight_GeSHi for users that just want a php based highlighter.

Why? What does it matter to the end-user what language it is written in? Are there any problems with the new version?

Well some users may just want a php based highlighter which geshi is and Pygments was moved into the extension with the name of the extension being called GeSHi so it should be called Pygments.

Details to create the repo are

Type = mediawiki extension

Name = SyntaxHighlight

Maintainer = Wikimedia

Author = not sure.

Change 222984 abandoned by Krinkle:
Renamed Geshi to Pygments

Reason:
Closing as we won't be using the name "SyntaxHighlight_Pygments".

https://gerrit.wikimedia.org/r/222984

QChris closed this task as Declined.Jul 6 2015, 9:35 AM
QChris claimed this task.

@Paladox: I agree that naming the extension [...]_GeSHi and then not using GeSHi is a bit misleading.
But nonetheless, the contributors to the [...]_GeSHi extension are obviously fine with it. Hence, declining the request to "rename" the repository.
If you think a rough consensus to "rename" the repo has been reached, please feel free to re-open again.

@QChris what I mean by renaming is moving out the new syntax highlighter package from geshi and reverting geshi back to what it previous was geshi.

Paladox reopened this task as Open.Jul 6 2015, 9:38 AM

The geshi extension should be used for people that want php based syntaxhighlight.

@Paladox There is no reason to maintain Geshi. There is no interest. It's no longer maintained or useful to us. Unless you indicate a clear reason for what purpose there is in using Geshi, that argument is invalid.

However I agree using Geshi in the name is confusing, which is why I already told you that we'll be renaming the extension. Just not right now.

QChris removed QChris as the assignee of this task.Jul 6 2015, 11:45 AM

[...], which is why I already told you that we'll be renaming the extension. Just not right now.

Unassigning myself, and un-CC-ing myself, as it seems there is currently nothing to do for me on this item.

QChris removed a subscriber: QChris.Jul 6 2015, 11:45 AM
QChris renamed this task from Rename git repo to "SyntaxHighlight" to Rename `SyntaxHighlight_GeSHi` extension to some name that is free of `GeSHi`.Jul 6 2015, 11:49 AM
QChris updated the task description. (Show Details)
matmarex added a comment.EditedJul 6 2015, 3:38 PM

GeSHi-backed SyntaxHighlight could still be useful to any sad third-party users who are stuck on shared hosting or some such and can't shell out to call Pygments. Not sure if there are any such users who need syntax highlighting, but making such a thing available somewhere other than depths of Git history costs us basically nothing (one more repository, a few words of documentation at https://www.mediawiki.org/wiki/Extension:SyntaxHighlight_GeSHi with a link to older version of that page) and might help someone.

So, it seems that the actions required are, in order:

Me to +1 to @matmerex. Where do I request that the repo be created.

Let's not rush, there are some patched for SyntaxHighlight open (https://gerrit.wikimedia.org/r/#/q/project:mediawiki/extensions/SyntaxHighlight_GeSHi+is:open,n,z), it would be nice to resolve them before we rename (and thus force authors to resubmit their patches). If we agree this makes sense, and after the current dust settles (we're still doing some follow-ups to the Pygments migration), then we can probably work with Chad or QChris to shuffle the repositories and update docs and stuff. In a week or two, let's say.

Well we could set up the repo then copy the files from geshi repo to new one then reviewe the code for other users who have uploaded to geshi and ask people to upload to the new repo after creating it.

Reedy added a subscriber: Esanders.Jul 6 2015, 6:43 PM

You can cherry pick from another repo and just git-review. I actually had a hacky script for migrating patches between repo (because I had tens to migrate from the apache-config to puppet at one time).

But still, easier if we just get them migrated first... @Esanders and @Krenair can you guys co-review each others VE patches to the extension to get them off the outstanding list? Or else, find someone else to review them :)

Also, when we are thinking about the name... There is https://www.mediawiki.org/wiki/Extension:SyntaxHighlighter - It's not on gerrit, but github, but it'd be yet another similarly named extension...

If it's meant to be an extension on its own, then it should have a real documentation page, shouldn't it?

Florian added a subscriber: Florian.Jul 7 2015, 9:43 PM
Krinkle renamed this task from Rename `SyntaxHighlight_GeSHi` extension to some name that is free of `GeSHi` to Rename git repo to "SyntaxHighlight".Jul 12 2015, 12:25 PM

I have requested here https://www.mediawiki.org/wiki/Git/New_repositories/Requests so that it would be created so when ever were ready we can move over to that repo and revert geshi back to to before the change.

I have requested here https://www.mediawiki.org/wiki/Git/New_repositories/Requests so that it would be created so when ever were ready we can move over.

There's no need for a new repo request. When we're ready this will be dealt with all-at-once.

Hijacking repos seems bad and bad practise. Just create a new one with the new lib and archive the old one, keeping the REL branches for third party.
That makes it clear with the history in git, open patch sets in gerrit and all the open or closed tasks in Phabricator/Bugzilla.

So +1 to @matmarex

Hi ok we arnt hijacking any repo I was only suggesting to use it since it was created for it but later decided to use geshi extension. But a request for a new repo is waiting to be created but for now reviewers are currently reviewing patches for follow up then once all those patches are approved then the repo can be moved.

Change 222986 abandoned by Jforrester:
Re added GeSHi back

https://gerrit.wikimedia.org/r/222986

Hi is there an update on the status because it has been two weeks. have most of the follow up patches been approved or still waiting.

We should start renanming the extension since most bugs have been fixed. Since this should be under a new name.

Paladox removed a subscriber: gerritbot.

Its been a month since we last discussed this. The name in the extension is called SyntaxHighlight which is confussing because the name of the extension is SyntaxHighligh_GeSHi

Change 222984 restored by Paladox:
Renamed Geshi to Pygments

https://gerrit.wikimedia.org/r/222984

Change 222984 abandoned by Paladox:
Renamed Geshi to Pygments

https://gerrit.wikimedia.org/r/222984

Hi any changes. I think the backlog is cleared now.

I agree, I think now's a good time to go forward. @QChris, can you sanity-check the steps at T103614#1430147 and do the first Gerrit part?

Ok I have requested at the gerrit page for requesting new repos I linked to this task so they know what they do I described reaming the repo from this name to the new one and then reverting this repo back to geshi.

Wait, which is the plan now? One extension or two? If two, why? If two, which one goes in the bundle? If two…

Well for one not all servers run python. It dosent work for me whereas using geshi did. And plus the extension name is confusing because it now uses a different package to its name.

The plan is T103614#1430147.

  • Remove unused repo SyntaxHighlight_Pygments.
  • Rename SyntaxHighlight_GeSHi to SyntaxHighlight.
  • Leave SyntaxHighlight_GeSHi rewound to previous GeSHi-state; open for new maintainers.

However priority are elsewhere now. This should not be acted on independently until we can take it all the way. Please refrain from any preparation work as it would conflict. When we're ready, the assigned person can do it all at once.

I agree, I think now's a good time to go forward. @QChris, can you sanity-check the steps at T103614#1430147

Looks good. Only one slight adaption:
Gerrit does not allow to copy or move repos. All we can do is delete repos and re-create them under a new name and push git histories. But deleting a repo kills all past code reviews. I guess we would not want that for this repo.

So instead of

  • Copy mediawiki/extensions/SyntaxHighlight_GeSHi repository to mediawiki/extensions/SyntaxHighlight
  • [...]
  • Rewind master of mediawiki/extensions/SyntaxHighlight_GeSHi to f3476de0158e464db442213d6731b691a2dd8af1 (the last GeSHi-backed revision)

I'd suggest doing

  • Push refs of mediawiki/extensions/SyntaxHighlight_GeSHi to mediawiki/extensions/SyntaxHighlight
  • [...]
  • Do a single revert commit on mediawiki/extensions/SyntaxHighlight_GeSHi that brings the repo to a state that is equivalent to f3476de0158e464db442213d6731b691a2dd8af1 (the last GeSHi-backed revision).

That way, all the code reviews are retained and the repos hold the needed code.

and do the first Gerrit part?

Not doing the Gerrit part, due to @Krinkle's above comment (T103614#1632101)

  • Leave SyntaxHighlight_GeSHi rewound to previous GeSHi-state; open for new maintainers.

Why bother doing this? It's uncool to leave dead code lying around in a place it was formerly maintained and casually-familiar people might not recognise.

Well for one thing for users that want to use geshi. And second not always will the new package work. Doesn't work for me.

Hi do you know when would we be ready to do the migration.

Jay8g added a subscriber: Jay8g.Oct 9 2015, 5:06 AM

Change 249058 had a related patch set uploaded (by Krinkle):
Archive repository

https://gerrit.wikimedia.org/r/249058

Change 249058 merged by Krinkle:
Archive repository

https://gerrit.wikimedia.org/r/249058

What about having both geshi and Pygments in this repo. And add a new setting maybe called SyntaxHighlighterPackage allow users to choose either geshi if they doint have Python installed or Pygments if they do. It will make everything easier and easier to maintain. Since it will be in one repo the name SyntaxHighlight name can be used since that name suggests that there are other packages such as Pygments or geshi.

It will make everything easier and easier to maintain.

I don't think so. And Geshi is dead, as been written before in this thread.

Yes but what about users that doint have or doint want to use the python one.

Yes but what about users that doint have or doint want to use the python one.

They either won't use SyntaxHighlighting or have to start maintaining Geshi.

greg moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Jan 20 2016, 12:29 AM

Maybe instead of having two separate extensions we just have one that does both. We should include a setting that either enables geshi or pygments. Since some users doint have python installed or doint want to use it but want to use something that is built to using php.

jayvdb added a subscriber: jayvdb.Feb 8 2016, 1:54 AM

Maybe instead of having two separate extensions we just have one that does both.

If there is just one, it would be a feature added to the "SyntaxHighlight" extension, in which case that feature has no impact on this task and discussing it on this task isnt helpful.

We should include a setting that either enables geshi or pygments. Since some users doint have python installed or doint want to use it but want to use something that is built to using php.

Please stop advocating the re-introduction of a PHP processor for SyntaxHighlight on this task and others. Create a new task for "additional processors" (and consider JavaScript solutions that would also solve the same problems.) If you really want a PHP solution, help the GeSHi developers get their code up to scratch. You'll need to build high quality tests to prove it is a maintainable backend.

Hi this task is about doing that. It is so we rename the repo to SyntaxHighlight and bring fed hi back in this extension. Meaning two different extensions.

The repository will be named "SyntaxHighlight" and will be based on the Pygments backend.
No need to add more comments to this task, in my opinion.

demon closed this task as Declined.Jan 6 2017, 4:15 AM
demon added a subscriber: demon.

We don't rename repositories, plus this already happened as a second repo entirely.

Krinkle reopened this task as Open.Jan 26 2017, 12:00 AM

We don't rename repositories, plus this already happened as a second repo entirely.

No, it didn't. We very briefly had a fork of SyntaxHighlight_GeSHi as SyntaxHighlight_Pygments, but this has been deleted since then.

We still just have the one repo (SyntaxHighlight_GeSHi) and it's the same we've had all along, which, as of 2015, actually uses Pygments, not Geshi. If we can't rename the repo, I propose we create a a copy called SyntaxHighlight and make the old one read-only?

hashar changed the task status from Open to Stalled.Sun, Sep 6, 10:11 PM
hashar added a subscriber: hashar.